Subject: Re: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 May 2024 18:55:10 +0300

> From: Robert Pluim <[email-masked]>
> Date: Thu, 16 May 2024 16:35:33 +0200
> 
> * lisp/international/iso-transl.el (iso-transl-char-map): Add entries
> for "low" single and double quotation marks.
> (iso-transl-language-alist): Add convenient support for the official
> German quoting style, which uses "low" double quotes on the left,
> and *left* double quotes on the right.  Add support for single
> guillemets to the French language entrey.
                                    ^^^^^^
A typo?

> +*** Add 'C-x 8' key translations for "low" quotes "„", and "‚".

This style is for ChangeLog entries, not for NEWS.  In NEWS we say
something like "New 'C-x 8' key translations for..." instead.

> +*** "latin-prefix" and "latin-postfix" quotation marks additions.
> +These input methods can now produce single, double and "low" left and
> +right quotation marks:
> +"‘", "’", "“", "”", "„", and "‚"

Why is the last line broken in the middle?

> +*** "latin-prefix" and "latin-postfix" guillemets support.
> +These input methods can now produce single guillemets.  For
> +"latin-prefix" use "~~<" and "~~>", for "latin-postfix" use "<~" and
> +">~".  Double guillemets were already supported.

Suggest to show the guillemets themselves: not sure everyone knows
what they are.

Are any of these worthy of being mentioned in the user manual (the
"Inserting Text" node)?